<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_c61345cc" . "edc39c197" . "742776627" . "5e2da6" => base64_decode("aW1hZ2VfZ2" . "FsbGVyeQ=="), "_df945ac2" . "fbdd15762" . "02fb48096" . "eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX" . "2xpc3Q="), "_61a5ceb347019e37116d4d" . "2907163b82" => base64_decode("bWF0Y" . "2hfYW" . "xs"), "perm" . "s" => base64_decode("cGVybXM" . "="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd15762" . "02fb48096eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c61345ccedc39c19" . "77427766275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_61a5ceb347019" . "e37116d4d29071" . "63b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}